// +----------------------------------------------------------------------
// | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
// +----------------------------------------------------------------------
// | Copyright (c) 2016~2021 https://www.crmeb.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
// +----------------------------------------------------------------------
// | Author: CRMEB Team <admin@crmeb.com>
// +----------------------------------------------------------------------
import BasicLayout from '@/layouts/basic-layout';
import Setting from "@/setting";
const pre = 'erp_';

export default {
  path: `${Setting.roterPre}/erp`,
	name: 'erp',
	header: 'erp',
	// redirect: {
	// 	name: `${pre}statistics`
	// },
	component: BasicLayout,
	children: [
		{
			path:'user',
			name: `${pre}user`,
			meta: {
				auth: ['admin-erp-user'],
				title: '用户管理'
			},
			component: () => import('@/pages/erp/user/index')
		},
		{
			path:'user_add',
			name: `${pre}user_add`,
			meta: {
				auth: ['admin-erp-user_add'],
				title: '添加编辑用户'
			},
			component: () => import('@/pages/erp/user/addUser')
		},
		{
			path:'purchase_list',
			name: `${pre}purchase_list`,
			meta: {
				auth: ['admin-erp-purchase_list'],
				title: '采购单列表'
			},
			component: () => import('@/pages/erp/purchase/index')
		},
		{
			path:'purchase_add',
			name: `${pre}purchase_add`,
			meta: {
				auth: ['admin-erp-purchase_add'],
				title: '添加编辑采购单'
			},
			component: () => import('@/pages/erp/purchase/addPurchase')
		},
		{
			path:'godown_list',
			name: `${pre}godown_list`,
			meta: {
				auth: ['admin-erp-godown_list'],
				title: '仓库列表'
			},
			component: () => import('@/pages/erp/godown/list')
		},
		//receive
		{
			path:'receive_list',
			name: `${pre}receive_list`,
			meta: {
				auth: ['admin-erp-receive_list'],
				title: '收货列表'
			},
			component: () => import('@/pages/erp/receive/index')
		},
		{
			path:'out_list',
			name: `${pre}out_list`,
			meta: {
				auth: ['admin-erp-out_list'],
				title: '出库列表'
			},
			component: () => import('@/pages/erp/out/index')
		},
		{
			path:'out_goods',
			name: `${pre}out_goods`,
			meta: {
				auth: ['admin-erp-out_goods'],
				title: '出库列表'
			},
			component: () => import('@/pages/erp/out/goods')
		},
		{
			path:'in_list',
			name: `${pre}in_list`,
			meta: {
				auth: ['admin-erp-in_list'],
				title: '入库列表'
			},
			component: () => import('@/pages/erp/in/index')
		},
		{
			path:'add_inList',
			name: `${pre}add_inList`,
			meta: {
				auth: ['admin-erp-add_inList'],
				title: '添加入库'
			},
			component: () => import('@/pages/erp/in/addInList')
		},
		{
			path:'adjust_list',
			name: `${pre}in_list`,
			meta: {
				auth: ['admin-erp-adjust_list'],
				title: '调价列表'
			},
			component: () => import('@/pages/erp/adjust/index')
		},
		{
			path:'add_godown/:id?',
			name: `${pre}add_godown`,
			meta: {
				auth: ['admin-erp-add_godown'],
				title: '添加/编辑仓库'
			},
			component: () => import('@/pages/erp/godown/addGodown')
		},
		{
			path:'position_list',
			name: `${pre}position_list`,
			meta: {
				auth: ['admin-erp-position_list'],
				title: '仓位列表'
			},
			component: () => import('@/pages/erp/godown/position')
		},
		{
			path:'add_position',
			name: `${pre}add_position`,
			meta: {
				auth: ['admin-erp-add_position'],
				title: '添加/编辑仓库'
			},
			component: () => import('@/pages/erp/godown/addPosition')
		},
		{
			path:'inventory',
			name: `${pre}inventory`,
			meta: {
				auth: ['admin-erp-inventory'],
				title: '库存管理'
			},
			component: () => import('@/pages/erp/inventory/index')
		},
		{
			path: 'purchase',
			name: `${pre}purchase`,
			meta: {
				auth: ['admin-erp-purchase'],
				title: '采购'
			},
			component: () => import('@/pages/store/storeCategory/index')
		},
		{
			path: 'goods',
			name: `${pre}goods`,
			meta: {
				auth: ['admin-erp-goods'],
				title: '要货'
			},
			component: () => import('@/pages/erp/want/index')
		},
		{
			path: 'want_add',
			name: `${pre}want_add`,
			meta: {
				auth: ['admin-erp-want_add'],
				title: '添加要货单'
			},
			component: () => import('@/pages/erp/want/addWant')
		},
		{
			path: 'product',
			name: `${pre}product`,
			meta: {
				auth: ['admin-erp-product'],
				title: '商品档案'
			},
			component: () => import('@/pages/store/cashierMenus/index')
		},
		{
			path: 'batch',
			name: `${pre}batch`,
			meta: {
				auth: ['admin-erp-batch'],
				title: '商品批次'
			},
			component: () => import('@/pages/erp/batch/index')
		},
		{
			path: 'warehouse',
			name: `${pre}warehouse`,
			meta: {
				auth: ['admin-erp-warehouse'],
				title: '仓库管理'
			},
			component: () => import('@/pages/store/storeList/index')
		},
		{
			path: 'menus',
			name: `${pre}menus`,
			meta: {
				auth: ['admin-erp-menus'],
				title: '仓库菜单'
			},
			component: () => import('@/pages/erp/erpMenus/index')
		},
		{
			path: 'locator',
			name: `${pre}locator`,
			meta: {
				auth: ['admin-erp-locator'],
				title: '库位管理'
			},
			component: () => import('@/pages/store/capital/index')
		}
	]
};
